
  CREATE OR REPLACE FORCE EDITIONABLE VIEW "IGOPS"."ADHOC_SUSER_V" ("ID", "DELETED", "DEPARTMENT", "DISPLAY_DESCRIPTION", "DISPLAY_NAME", "DN", "EFFECTIVE", "EMPLOYEE_STATUS", "EMPLOYEE_TYPE", "FIRST_NAME", "FULL_NAME", "GUID", "HOME_PHONE", "IDM_DN", "IDM_TREE_NAME", "IS_CURATED", "JOB_CODE", "JOB_TITLE", "LAST_NAME", "LOCATION", "MERGED", "MIDDLE_NAME", "OFFICE_PHONE", "OTHER_PHONE", "PREFERRED_LOCALE", "PROVISIONING_ID", "SECONDARY_SUPERVISOR_ID", "SUPERVISOR_ATTR_KEY", "SUPERVISOR_ID", "SUPERVISOR_UNIQUE_ID", "UNIQUE_USER_ID", "USER_ID", "BUSINESS_UNIT", "COLLECTED_ENTITY", "EFFECTIVE_ENTITY", "IDENTITY_SOURCE", "SVERSION", "WORKFORCE_ID", "EMAIL", "RISK", "CERTIFICATION_COUNT", "IS_CERTIFIED", "CERTIFICATION_PENDING", "AGGREGATE_PERMISSION_RISK", "ALL_PERMISSIONS", "BUSINESS_ROLE", "BROLE_DESCRIPTION", "BROLE_RISK", "BROLE_UPDATE_TIME") AS 
  SELECT suser.id,
    suser.deleted,
    suser.department,
    suser.display_description,
    suser.display_name,
    suser.dn,
    suser.effective,
    suser.employee_status,
    suser.employee_type,
    suser.first_name,
    suser.full_name,
    suser.guid,
    suser.home_phone,
    suser.idm_dn,
    suser.idm_tree_name,
    suser.is_curated,
    suser.job_code,
    suser.job_title,
    suser.last_name,
    suser.location,
    suser.merged,
    suser.middle_name,
    suser.office_phone,
    suser.other_phone,
    suser.preferred_locale,
    suser.provisioning_id,
    suser.secondary_supervisor_id,
    suser.supervisor_attr_key,
    suser.supervisor_id,
    suser.supervisor_unique_id,
    suser.unique_user_id,
    suser.user_id,
    suser.business_unit,
    suser.collected_entity,
    suser.effective_entity,
    suser.identity_source,
    suser.sversion,
    suser.workforce_id,
    suser_email.email,
    suser.risk,
    cert_risk.certification_count,
    cert_risk.is_certified,
    cert_risk.certification_pending,
    cert_risk.aggregate_permission_risk,
    listagg(perm.name, ' | ') WITHIN GROUP (ORDER BY perm.name)  all_permissions,
    brole.name  business_role,
    brole.description  brole_description,
    brole.risk  brole_risk,
    brole.update_time  brole_update_time
   FROM suser
     LEFT JOIN suser_email ON suser.id = suser_email.suser
     LEFT JOIN spermission perm ON (EXISTS ( SELECT suser_account_permission.suser
           FROM suser_account_permission
          WHERE suser.id = suser_account_permission.suser)) AND perm.deleted = 0 AND perm.effective = 1
     LEFT JOIN suser_spermission_cert_risk_v cert_risk ON suser.id = cert_risk.suser_id
     LEFT JOIN business_role brole ON (EXISTS ( SELECT br_memb.business_role_id
           FROM business_role_incl_memb br_memb
          WHERE suser.unique_user_id = br_memb.unique_member_id AND br_memb.is_user = 1 AND br_memb.business_role_id = brole.id))
  WHERE suser.deleted = 0 AND suser.effective = 1
  GROUP BY suser.id, suser.deleted, suser.department, suser.display_description, brole.name, brole.description, brole.risk, brole.update_time, 
  suser.display_name, suser.dn, suser.effective, suser.employee_status, suser.employee_type, suser.first_name, suser.full_name, suser.guid, 
  suser.home_phone, suser.idm_dn, suser.idm_tree_name, suser.is_curated, suser.job_code, suser.job_title, suser.last_name, suser.location, 
  suser.merged, suser.middle_name, suser.office_phone, suser.other_phone, suser.preferred_locale, suser.provisioning_id, suser.secondary_supervisor_id,
  suser.supervisor_attr_key, suser.supervisor_id, suser.supervisor_unique_id, suser.unique_user_id, suser.user_id, suser.business_unit, suser.collected_entity,
  suser.effective_entity, suser.identity_source, suser.sversion, suser.workforce_id, perm.name,suser.risk,
  suser_email.email, cert_risk.certification_count, cert_risk.is_certified, cert_risk.certification_pending, cert_risk.aggregate_permission_risk;



  GRANT SELECT ON IGOPS.ADHOC_SUSER_V TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM ADHOC_SUSER_V FOR IGOPS.ADHOC_SUSER_V;