CREATE OR REPLACE VIEW public.suser_spermission_cert_risk_v AS 
 SELECT DISTINCT suser.id AS suser_id,
    ( SELECT count(spermissions_1.suser) AS count
           FROM adhoc_apps_spermissions_v spermissions_1
          WHERE spermissions_1.suser = suser.id AND spermissions_1.last_certification IS NOT NULL) AS certification_count,
        CASE
            WHEN spermissions.is_certified IS NULL THEN false
            ELSE spermissions.is_certified
        END AS is_certified,
        CASE
            WHEN spermissions.certification_pending IS NULL THEN false
            ELSE spermissions.certification_pending
        END AS certification_pending,
        CASE
            WHEN sum(spermissions.permission_risk) IS NULL THEN 0::numeric
            ELSE sum(spermissions.permission_risk)
        END AS aggregate_permission_risk
   FROM suser
     LEFT JOIN adhoc_apps_spermissions_v spermissions ON spermissions.suser = suser.id
  WHERE suser.deleted = false AND suser.effective = true
  GROUP BY suser.id, spermissions.is_certified, spermissions.certification_pending;
ALTER TABLE public.suser_spermission_cert_risk_v
  OWNER TO igops;
GRANT ALL ON TABLE public.suser_spermission_cert_risk_v TO igops;
GRANT SELECT ON TABLE public.suser_spermission_cert_risk_v TO ig_report_role;
